StoreFactoryBase (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StoreFactoryBase class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StoreFactoryBase

    java.lang.Object
      org.apache.catalina.storeconfig.StoreFactoryBase

All Implemented Interfaces:
  IStoreFactory

Direct Known Subclasses:
  CatalinaClusterSF, ConnectorSF, GlobalNamingResourcesSF, InstanceListenerSF, LoaderSF, ManagerSF, NamingResourcesSF, PersistentManagerSF, StandardContextSF, StandardEngineSF, StandardHostSF, StandardServerSF, StandardServiceSF, WatchedResourceSF, WrapperLifecycleSF, WrapperListenerSF

public class StoreFactoryBase
extends java.lang.Object
implements IStoreFactory

StoreFactory saves spezial elements. Output was generate with StoreAppenders.

Version:
  1.0
Author:
  Peter Rossbach

Field Summary
`protected static StringManager` | `sm` The string manager for this package.

Constructor Summary
`StoreFactoryBase()`

Method Summary
`java.lang.String` | `getInfo()` Return descriptive information about this Facotry implementation and the corresponding version number, in the format `<description>/<version>`.
`StoreRegistry` | `getRegistry()`
`StoreAppender` | `getStoreAppender()`
`void` | `setRegistry(StoreRegistry aRegistry)`
`void` | `setStoreAppender(StoreAppender storeAppender)`
`void` | `store(java.io.PrintWriter aWriter, int indent, java.lang.Object aElement)`
`void` | `storeChilds(java.io.PrintWriter aWriter, int indent, java.lang.Object aElement, StoreDescription elementDesc)` Must Implement at subclass for sepzial store childs handling
`protected void` | `storeElement(java.io.PrintWriter aWriter, int indent, java.lang.Object aTagElement)` Store only elements from storeChilds methods that are not a transient child.
`protected void` | `storeElementArray(java.io.PrintWriter aWriter, int indent, java.lang.Object[] elements)`
`void` | `storeXMLHead(java.io.PrintWriter aWriter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected static final StringManager sm

  The string manager for this package.

Constructor Detail

### StoreFactoryBase

    public StoreFactoryBase()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Facotry implementation and the corresponding version number, in the format `<description>/<version>`.

### getStoreAppender

    public StoreAppender getStoreAppender()

  Specified by:
    `getStoreAppender` in interface `IStoreFactory`
  Returns:
    Returns the storeAppender.

### setStoreAppender

    public void setStoreAppender(StoreAppender storeAppender)

  Specified by:
    `setStoreAppender` in interface `IStoreFactory`
  Parameters:
    `storeAppender` - The storeAppender to set.

### setRegistry

    public void setRegistry(StoreRegistry aRegistry)

  Specified by:
    `setRegistry` in interface `IStoreFactory`

### getRegistry

    public StoreRegistry getRegistry()

  Specified by:
    `getRegistry` in interface `IStoreFactory`

### storeXMLHead

    public void storeXMLHead(java.io.PrintWriter aWriter)

  Specified by:
    `storeXMLHead` in interface `IStoreFactory`

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      java.lang.Object aElement)
               throws java.lang.Exception

  Specified by:
    `store` in interface `IStoreFactory`
  Throws:
    `java.lang.Exception`

### storeChilds

    public void storeChilds(java.io.PrintWriter aWriter,
                            int indent,
                            java.lang.Object aElement,
                            StoreDescription elementDesc)
                     throws java.lang.Exception

  Must Implement at subclass for sepzial store childs handling

  Parameters:
    `aWriter` -
    `indent` -
    `aElement` -
    `elementDesc` -
  Throws:
    `java.lang.Exception`

### storeElement

    protected void storeElement(java.io.PrintWriter aWriter,
                                int indent,
                                java.lang.Object aTagElement)
                         throws java.lang.Exception

  Store only elements from storeChilds methods that are not a transient child.

  Parameters:
    `aWriter` - current output writer
    `indent` - indentation level
    `aTagElement` - current tomcat element
  Throws:
    `java.lang.Exception`

### storeElementArray

    protected void storeElementArray(java.io.PrintWriter aWriter,
                                     int indent,
                                     java.lang.Object[] elements)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.